<!-- AdminMapper.xml -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.caliverse.admin.domain.dao.total.WalletUserMapper">
    <!-- resultMap 설정 -->
    <resultMap id="UserResultMap" type="com.caliverse.admin.domain.entity.WalletUser">
        <id property="account_id" column="id"/>
        <result property="guid" column="guid"/>
        <result property="email" column="email"/>
        <result property="region" column="region"/>
        <result property="phone" column="phone"/>
        <result property="level" column="level"/>
    </resultMap>

    <select id="getUser" resultMap="UserResultMap" parameterType="java.lang.String">
        SELECT id,
               guid,
               email,
               region,
               phone,
               level
        FROM wallet_user
        WHERE email = #{email}
    </select>

</mapper>
